Closed Bug 1444437 Opened 4 years ago Closed 4 years ago

[Wayland-1.15][KDE] Firefox is rendering only a blank page

Categories

(Core :: Widget: Gtk, defect)

60 Branch
defect
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla63
Tracking Status
firefox63 --- fixed

People

(Reporter: mail, Assigned: stransky)

References

(Blocks 1 open bug)

Details

Attachments

(2 files)

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Build ID: 20180309100425

Steps to reproduce:

1. Install via flatpak in Arch Linux the latest Firefox Nightly build (as of writing version 60 2018-03-08) from https://firefox-flatpak.mojefedora.cz.
2. Run the flatpak build of Firefox Nightly on KDE Plasma 5.12.3 on Wayland.


Actual results:

Only a blank page is rendered, mouse input is not accepted and the mouse cursor is invisible.


Expected results:

You can move the mouse in the Firefox Wayland window in Plasma, use the GUI elements and you can open web pages.
Component: Untriaged → Layout
Product: Firefox → Core
Component: Layout → Widget: Gtk
same issue on enlightenment and sway
Can you please attach an output of "env | grep DISPLAY" and dmesg? Thanks.
Flags: needinfo?(mail)
env | grep DISPLAY
DISPLAY=:1
WAYLAND_DISPLAY=wayland-0
ELM_DISPLAY=wl

dmesg
[    0.000000] Linux version 4.15.7-gentoo-r1-l1 (root@mandor) (gcc version 7.2.0 (Gentoo 7.2.0-r1 p1.1)) #3 SMP PREEMPT Fri Apr 6 20:04:04 IDT 2018
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.15.7-gentoo-r1-l1 root=/dev/sda4 ro init=/usr/lib/systemd/systemd
[    0.000000] x86/fpu: x87 FPU will use FXSAVE
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007ffeffff] usable
[    0.000000] BIOS-e820: [mem 0x000000007fff0000-0x000000007fff2fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000007fff3000-0x000000007fffffff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e7ffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] random: fast init done
[    0.000000] SMBIOS 2.4 present.
[    0.000000] DMI: Gigabyte Technology Co., Ltd. M61PME-S2P/M61PME-S2P, BIOS F6 11/03/2009
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] AGP: No AGP bridge found
[    0.000000] e820: last_pfn = 0x7fff0 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-C7FFF write-protect
[    0.000000]   C8000-CFFFF uncachable
[    0.000000]   D0000-D3FFF write-back
[    0.000000]   D4000-EFFFF uncachable
[    0.000000]   F0000-FFFFF write-through
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000000 mask FFFF80000000 write-back
[    0.000000]   1 disabled
[    0.000000]   2 disabled
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
[    0.000000] found SMP MP-table at [mem 0x000f4aa0-0x000f4aaf] mapped at [        (ptrval)]
[    0.000000] Base memory trampoline at [        (ptrval)] 99000 size 24576
[    0.000000] Using GB pages for direct mapping
[    0.000000] BRK [0x024ea000, 0x024eafff] PGTABLE
[    0.000000] BRK [0x024eb000, 0x024ebfff] PGTABLE
[    0.000000] BRK [0x024ec000, 0x024ecfff] PGTABLE
[    0.000000] BRK [0x024ed000, 0x024edfff] PGTABLE
[    0.000000] BRK [0x024ee000, 0x024eefff] PGTABLE
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F6470 000014 (v00 GBT   )
[    0.000000] ACPI: RSDT 0x000000007FFF3000 000034 (v01 GBT    NVDAACPI 42302E31 NVDA 01010101)
[    0.000000] ACPI: FACP 0x000000007FFF3040 000074 (v01 GBT    NVDAACPI 42302E31 NVDA 01010101)
[    0.000000] ACPI: DSDT 0x000000007FFF30C0 0043ED (v01 GBT    NVDAACPI 00001000 MSFT 03000000)
[    0.000000] ACPI: FACS 0x000000007FFF0000 000040
[    0.000000] ACPI: SSDT 0x000000007FFF7580 00095E (v01 PTLTD  POWERNOW 00000001  LTP 00000001)
[    0.000000] ACPI: MCFG 0x000000007FFF7F40 00003C (v01 GBT    NVDAACPI 42302E31 NVDA 01010101)
[    0.000000] ACPI: APIC 0x000000007FFF74C0 000098 (v01 GBT    NVDAACPI 42302E31 NVDA 01010101)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x000000007ffeffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000007ffeffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000007ffeffff]
[    0.000000] On node 0 totalpages: 524174
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 21 pages reserved
[    0.000000]   DMA zone: 3998 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 8128 pages used for memmap
[    0.000000]   DMA32 zone: 520176 pages, LIFO batch:31
[    0.000000] Reserved but unavailable: 98 pages
[    0.000000] Nvidia board detected. Ignoring ACPI timer override.
[    0.000000] If you got timer trouble try acpi_use_timer_override
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] dfl dfl lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 0 dfl dfl)
[    0.000000] ACPI: BIOS IRQ0 override ignored.
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq 14 high edge)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq 15 high edge)
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] ACPI: IRQ14 used by override.
[    0.000000] ACPI: IRQ15 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] smpboot: Allowing 4 CPUs, 2 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x80000000-0xdfffffff] available for PCI devices
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:4 nr_cpumask_bits:4 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] percpu: Embedded 43 pages/cpu @        (ptrval) s138072 r8192 d29864 u524288
[    0.000000] pcpu-alloc: s138072 r8192 d29864 u524288 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 515961
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.7-gentoo-r1-l1 root=/dev/sda4 ro init=/usr/lib/systemd/systemd
[    0.000000] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.000000] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.000000] AGP: Checking aperture...
[    0.000000] AGP: No AGP bridge found
[    0.000000] AGP: Node 0: aperture [bus addr 0x1c0000000-0x1c1ffffff] (32MB)
[    0.000000] Aperture beyond 4GB. Ignoring.
[    0.000000] Memory: 2038588K/2096696K available (10252K kernel code, 948K rwdata, 2404K rodata, 1040K init, 484K bss, 58108K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000] 	Tasks RCU enabled.
[    0.000000] NR_IRQS: 4352, nr_irqs: 456, preallocated irqs: 16
[    0.000000] spurious 8259A interrupt: IRQ7.
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] ACPI: Core revision 20170831
[    0.000000] ACPI: 2 ACPI AML tables successfully acquired and loaded
[    0.000000] APIC: Switch to symmetric I/O mode setup
[    0.000000] ..TIMER: vector=0x30 apic1=0 pin1=0 apic2=-1 pin2=-1
[    0.000000] do_IRQ: 0.55 No irq handler for vector
[    0.005000] tsc: Fast TSC calibration using PIT
[    0.006000] tsc: Detected 2812.605 MHz processor
[    0.006000] Calibrating delay loop (skipped), value calculated using timer frequency.. 5625.21 BogoMIPS (lpj=2812605)
[    0.006000] pid_max: default: 32768 minimum: 301
[    0.006000] Security Framework initialized
[    0.006000] SELinux:  Initializing.
[    0.006000] SELinux:  Starting in permissive mode
[    0.006000] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.006000] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.006000] CPU: Physical Processor ID: 0
[    0.006000] CPU: Processor Core ID: 0
[    0.006000] mce: CPU supports 6 MCE banks
[    0.006000] LVT offset 0 assigned for vector 0xf9
[    0.006000] Last level iTLB entries: 4KB 512, 2MB 16, 4MB 8
[    0.006000] Last level dTLB entries: 4KB 512, 2MB 128, 4MB 64, 1GB 0
[    0.006000] Spectre V2 : Spectre mitigation: kernel not compiled with retpoline; no mitigation available!
[    0.006000] Freeing SMP alternatives memory: 32K
[    0.008000] smpboot: CPU0: AMD Athlon(tm) II X2 240 Processor (family: 0x10, model: 0x6, stepping: 0x3)
[    0.011022] Performance Events: AMD PMU driver.
[    0.011034] ... version:                0
[    0.011037] ... bit width:              48
[    0.011039] ... generic registers:      4
[    0.011041] ... value mask:             0000ffffffffffff
[    0.011043] ... max period:             00007fffffffffff
[    0.011045] ... fixed-purpose events:   0
[    0.011047] ... event mask:             000000000000000f
[    0.013014] Hierarchical SRCU implementation.
[    0.015050] MCE: In-kernel MCE decoding enabled.
[    0.017014] smp: Bringing up secondary CPUs ...
[    0.024035] x86: Booting SMP configuration:
[    0.024042] .... node  #0, CPUs:      #1
[    0.025030] smp: Brought up 1 node, 2 CPUs
[    0.025030] smpboot: Max logical packages: 2
[    0.025030] smpboot: Total of 2 processors activated (11250.42 BogoMIPS)
[    0.025428] devtmpfs: initialized
[    0.025428] PM: Registering ACPI NVS region [mem 0x7fff0000-0x7fff2fff] (12288 bytes)
[    0.026032] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.026032] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.026191] NET: Registered protocol family 16
[    0.026280] audit: initializing netlink subsys (disabled)
[    0.026294] audit: type=2000 audit(1523035755.026:1): state=initialized audit_enabled=0 res=1
[    0.027203] cpuidle: using governor ladder
[    0.027234] cpuidle: using governor menu
[    0.027234] node 0 link 0: io port [b000, ffff]
[    0.027234] TOM: 0000000080000000 aka 2048M
[    0.027234] Fam 10h mmconf [mem 0xe0000000-0xe00fffff]
[    0.027234] node 0 link 0: mmio [a0000, bffff]
[    0.027234] node 0 link 0: mmio [80000000, dfffffff]
[    0.027234] node 0 link 0: mmio [e8000000, fe02ffff]
[    0.027234] node 0 link 0: mmio [e0000000, e02fffff] ==> [e0100000, e02fffff]
[    0.027234] bus: [bus 00-02] on node 0 link 0
[    0.027234] bus: 00 [io  0x0000-0xffff]
[    0.027234] bus: 00 [mem 0x000a0000-0x000bffff]
[    0.027234] bus: 00 [mem 0x80000000-0xdfffffff]
[    0.027234] bus: 00 [mem 0xe0300000-0xfcffffffff]
[    0.027234] bus: 00 [mem 0xe0100000-0xe02fffff]
[    0.027264] ACPI: bus type PCI registered
[    0.027264] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.027264] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.027264] PCI: MMCONFIG for 0000 [bus00-7f] at [mem 0xe0000000-0xe7ffffff] (base 0xe0000000) (size reduced!)
[    0.027264] PCI: Using configuration type 1 for base access
[    0.027264] mtrr: your CPUs had inconsistent variable MTRR settings
[    0.027264] mtrr: probably your BIOS does not setup all CPUs.
[    0.027264] mtrr: corrected configuration.
[    0.033327] ACPI: Added _OSI(Module Device)
[    0.033327] ACPI: Added _OSI(Processor Device)
[    0.033327] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.033327] ACPI: Added _OSI(Processor Aggregator Device)
[    0.036007] ACPI: Interpreter enabled
[    0.036007] ACPI: (supports S0 S3 S4 S5)
[    0.036007] ACPI: Using IOAPIC for interrupt routing
[    0.036009] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.036009] ACPI: Enabled 7 GPEs in block 00 to 1F
[    0.043003] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.043003] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.043003] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.043003] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-7f] only partially covers this bridge
[    0.043047] PCI host bridge to bus 0000:00
[    0.043047] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.043047] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.043047] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.043047] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.043047] pci_bus 0000:00: root bus resource [mem 0x80000000-0xfebfffff window]
[    0.043047] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.043047] pci 0000:00:00.0: [10de:03ea] type 00 class 0x050000
[    0.043226] pci 0000:00:01.0: [10de:03e0] type 00 class 0x060100
[    0.043311] pci 0000:00:01.1: [10de:03eb] type 00 class 0x0c0500
[    0.043320] pci 0000:00:01.1: reg 0x10: [io  0xfc00-0xfc3f]
[    0.043333] pci 0000:00:01.1: reg 0x20: [io  0x1c00-0x1c3f]
[    0.043337] pci 0000:00:01.1: reg 0x24: [io  0x1c40-0x1c7f]
[    0.043360] pci 0000:00:01.1: PME# supported from D3hot D3cold
[    0.043418] pci 0000:00:01.2: [10de:03f5] type 00 class 0x050000
[    0.043496] pci 0000:00:02.0: [10de:03f1] type 00 class 0x0c0310
[    0.043505] pci 0000:00:02.0: reg 0x10: [mem 0xfe02f000-0xfe02ffff]
[    0.043535] pci 0000:00:02.0: supports D1 D2
[    0.043536] pci 0000:00:02.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.043598] pci 0000:00:02.1: [10de:03f2] type 00 class 0x0c0320
[    0.043607] pci 0000:00:02.1: reg 0x10: [mem 0xfe02e000-0xfe02e0ff]
[    0.043640] pci 0000:00:02.1: supports D1 D2
[    0.043641] pci 0000:00:02.1: PME# supported from D0 D1 D2 D3hot D3cold
[    0.043704] pci 0000:00:04.0: [10de:03f3] type 01 class 0x060401
[    0.043789] pci 0000:00:05.0: [10de:03f0] type 00 class 0x040300
[    0.043798] pci 0000:00:05.0: reg 0x10: [mem 0xfe028000-0xfe02bfff]
[    0.043832] pci 0000:00:05.0: PME# supported from D3hot D3cold
[    0.044041] pci 0000:00:06.0: [10de:03ec] type 00 class 0x01018a
[    0.044041] pci 0000:00:06.0: reg 0x20: [io  0xf000-0xf00f]
[    0.044041] pci 0000:00:06.0: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.044041] pci 0000:00:06.0: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.044041] pci 0000:00:06.0: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.044041] pci 0000:00:06.0: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.044093] pci 0000:00:07.0: [10de:03ef] type 00 class 0x068000
[    0.044093] pci 0000:00:07.0: reg 0x10: [mem 0xfe02d000-0xfe02dfff]
[    0.044093] pci 0000:00:07.0: reg 0x14: [io  0xec00-0xec07]
[    0.044093] pci 0000:00:07.0: supports D1 D2
[    0.044093] pci 0000:00:07.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.044099] pci 0000:00:08.0: [10de:03f6] type 00 class 0x010185
[    0.044105] pci 0000:00:08.0: reg 0x10: [io  0x09f0-0x09f7]
[    0.044108] pci 0000:00:08.0: reg 0x14: [io  0x0bf0-0x0bf3]
[    0.044111] pci 0000:00:08.0: reg 0x18: [io  0x0970-0x0977]
[    0.044114] pci 0000:00:08.0: reg 0x1c: [io  0x0b70-0x0b73]
[    0.044117] pci 0000:00:08.0: reg 0x20: [io  0xd800-0xd80f]
[    0.044120] pci 0000:00:08.0: reg 0x24: [mem 0xfe02c000-0xfe02cfff]
[    0.044193] pci 0000:00:09.0: [10de:03e8] type 01 class 0x060400
[    0.044219] pci 0000:00:09.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.044289] pci 0000:00:18.0: [1022:1200] type 00 class 0x060000
[    0.044349] pci 0000:00:18.1: [1022:1201] type 00 class 0x060000
[    0.044407] pci 0000:00:18.2: [1022:1202] type 00 class 0x060000
[    0.044463] pci 0000:00:18.3: [1022:1203] type 00 class 0x060000
[    0.044520] pci 0000:00:18.4: [1022:1204] type 00 class 0x060000
[    0.044624] pci 0000:00:04.0: PCI bridge to [bus 01] (subtractive decode)
[    0.044628] pci 0000:00:04.0:   bridge window [io  0xc000-0xcfff]
[    0.044630] pci 0000:00:04.0:   bridge window [mem 0xfde00000-0xfdefffff]
[    0.044632] pci 0000:00:04.0:   bridge window [mem 0xfdf00000-0xfdffffff pref]
[    0.044634] pci 0000:00:04.0:   bridge window [io  0x0000-0x0cf7 window] (subtractive decode)
[    0.044635] pci 0000:00:04.0:   bridge window [io  0x0d00-0xffff window] (subtractive decode)
[    0.044636] pci 0000:00:04.0:   bridge window [mem 0x000a0000-0x000bffff window] (subtractive decode)
[    0.044637] pci 0000:00:04.0:   bridge window [mem 0x000c0000-0x000dffff window] (subtractive decode)
[    0.044638] pci 0000:00:04.0:   bridge window [mem 0x80000000-0xfebfffff window] (subtractive decode)
[    0.044667] pci 0000:02:00.0: [10de:0fc1] type 00 class 0x030000
[    0.044681] pci 0000:02:00.0: reg 0x10: [mem 0xfb000000-0xfbffffff]
[    0.044689] pci 0000:02:00.0: reg 0x14: [mem 0xb0000000-0xbfffffff 64bit pref]
[    0.044697] pci 0000:02:00.0: reg 0x1c: [mem 0xce000000-0xcfffffff 64bit pref]
[    0.044702] pci 0000:02:00.0: reg 0x24: [io  0xbc00-0xbc7f]
[    0.044707] pci 0000:02:00.0: reg 0x30: [mem 0x00000000-0x0007ffff pref]
[    0.044779] pci 0000:02:00.1: [10de:0e1b] type 00 class 0x040300
[    0.044791] pci 0000:02:00.1: reg 0x10: [mem 0xfcffc000-0xfcffffff]
[    0.048049] pci 0000:00:09.0: PCI bridge to [bus 02]
[    0.048059] pci 0000:00:09.0:   bridge window [io  0xb000-0xbfff]
[    0.048061] pci 0000:00:09.0:   bridge window [mem 0xfb000000-0xfcffffff]
[    0.048063] pci 0000:00:09.0:   bridge window [mem 0xb0000000-0xcfffffff 64bit pref]
[    0.048072] pci_bus 0000:00: on NUMA node 0
[    0.048547] ACPI: PCI Interrupt Link [LNK1] (IRQs *5 7 9 10 11 14 15)
[    0.048589] ACPI: PCI Interrupt Link [LNK2] (IRQs 5 7 9 10 *11 14 15)
[    0.048629] ACPI: PCI Interrupt Link [LNK3] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048669] ACPI: PCI Interrupt Link [LNK4] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048708] ACPI: PCI Interrupt Link [LNK5] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048747] ACPI: PCI Interrupt Link [LNK6] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048786] ACPI: PCI Interrupt Link [LNK7] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048825] ACPI: PCI Interrupt Link [LNK8] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048865] ACPI: PCI Interrupt Link [LIGP] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048905] ACPI: PCI Interrupt Link [LP2P] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.048946] ACPI: PCI Interrupt Link [LUBA] (IRQs 5 7 9 10 *11 14 15)
[    0.048985] ACPI: PCI Interrupt Link [LMAC] (IRQs 5 7 9 *10 11 14 15)
[    0.049039] ACPI: PCI Interrupt Link [LAZA] (IRQs 5 7 9 *10 11 14 15)
[    0.049077] ACPI: PCI Interrupt Link [LPMU] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.049119] ACPI: PCI Interrupt Link [LSMB] (IRQs 5 7 9 *10 11 14 15)
[    0.049158] ACPI: PCI Interrupt Link [LUB2] (IRQs *5 7 9 10 11 14 15)
[    0.049197] ACPI: PCI Interrupt Link [LIDE] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.049237] ACPI: PCI Interrupt Link [LSID] (IRQs 5 7 9 10 *11 14 15)
[    0.049276] ACPI: PCI Interrupt Link [LFID] (IRQs 5 7 9 10 11 14 15) *0, disabled.
[    0.049341] ACPI: PCI Interrupt Link [APC1] (IRQs 16) *0, disabled.
[    0.049402] ACPI: PCI Interrupt Link [APC2] (IRQs 17) *0, disabled.
[    0.049460] ACPI: PCI Interrupt Link [APC3] (IRQs 18) *0, disabled.
[    0.049517] ACPI: PCI Interrupt Link [APC4] (IRQs 19) *0, disabled.
[    0.049573] ACPI: PCI Interrupt Link [APC5] (IRQs 16) *0, disabled.
[    0.049630] ACPI: PCI Interrupt Link [APC6] (IRQs 16) *0, disabled.
[    0.049687] ACPI: PCI Interrupt Link [APC7] (IRQs 16) *0, disabled.
[    0.049744] ACPI: PCI Interrupt Link [APC8] (IRQs 16) *0, disabled.
[    0.049802] ACPI: PCI Interrupt Link [AIGP] (IRQs 20 21 22 23) *0, disabled.
[    0.049860] ACPI: PCI Interrupt Link [APCF] (IRQs 20 21 22 23) *0, disabled.
[    0.049918] ACPI: PCI Interrupt Link [APCH] (IRQs 20 21 22 23) *0, disabled.
[    0.049976] ACPI: PCI Interrupt Link [APMU] (IRQs 20 21 22 23) *0, disabled.
[    0.050046] ACPI: PCI Interrupt Link [AAZA] (IRQs 20 21 22 23) *0, disabled.
[    0.050105] ACPI: PCI Interrupt Link [APCS] (IRQs 20 21 22 23) *0, disabled.
[    0.050163] ACPI: PCI Interrupt Link [APCL] (IRQs 20 21 22 23) *0, disabled.
[    0.050221] ACPI: PCI Interrupt Link [APCM] (IRQs 20 21 22 23) *0, disabled.
[    0.050278] ACPI: PCI Interrupt Link [APCZ] (IRQs 20 21 22 23) *0, disabled.
[    0.050336] ACPI: PCI Interrupt Link [APSI] (IRQs 20 21 22 23) *0, disabled.
[    0.050393] ACPI: PCI Interrupt Link [APSJ] (IRQs 20 21 22 23) *0, disabled.
[    0.050596] pci 0000:02:00.0: vgaarb: setting as boot VGA device
[    0.050600] pci 0000:02:00.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.050605] pci 0000:02:00.0: vgaarb: bridge control possible
[    0.050608] vgaarb: loaded
[    0.050704] SCSI subsystem initialized
[    0.050716] libata version 3.00 loaded.
[    0.050716] ACPI: bus type USB registered
[    0.050716] usbcore: registered new interface driver usbfs
[    0.050716] usbcore: registered new interface driver hub
[    0.051000] usbcore: registered new device driver usb
[    0.051036] pps_core: LinuxPPS API ver. 1 registered
[    0.051036] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.051047] PTP clock support registered
[    0.051170] EDAC MC: Ver: 3.0.0
[    0.052110] Advanced Linux Sound Architecture Driver Initialized.
[    0.052176] PCI: Using ACPI for IRQ routing
[    0.055141] PCI: pci_cache_line_size set to 64 bytes
[    0.055177] e820: reserve RAM buffer [mem 0x0009f800-0x0009ffff]
[    0.055178] e820: reserve RAM buffer [mem 0x7fff0000-0x7fffffff]
[    0.055318] NetLabel: Initializing
[    0.055321] NetLabel:  domain hash size = 128
[    0.055324] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.055339] NetLabel:  unlabeled traffic allowed by default
[    0.055448] clocksource: Switched to clocksource refined-jiffies
[    0.060519] VFS: Disk quotas dquot_6.6.0
[    0.060547] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.061933] pnp: PnP ACPI init
[    0.062134] system 00:00: [io  0x1000-0x107f] has been reserved
[    0.062138] system 00:00: [io  0x1080-0x10ff] has been reserved
[    0.062142] system 00:00: [io  0x1400-0x147f] has been reserved
[    0.062145] system 00:00: [io  0x1480-0x14ff] has been reserved
[    0.062148] system 00:00: [io  0x1800-0x187f] has been reserved
[    0.062152] system 00:00: [io  0x1880-0x18ff] has been reserved
[    0.062155] system 00:00: [mem 0xfefe0000-0xfefe01ff] has been reserved
[    0.062159] system 00:00: [mem 0xfefe1000-0xfefe10ff] has been reserved
[    0.062170] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.062235] system 00:01: [io  0x04d0-0x04d1] has been reserved
[    0.062238] system 00:01: [io  0x0800-0x087f] has been reserved
[    0.062241] system 00:01: [io  0x0295-0x0296] has been reserved
[    0.062244] system 00:01: [io  0x0290-0x0294] has been reserved
[    0.062252] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.062305] pnp 00:02: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.062552] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.062724] pnp 00:04: Plug and Play ACPI device, IDs PNP0400 (active)
[    0.063228] system 00:05: [mem 0xe0000000-0xe7ffffff] has been reserved
[    0.063238] system 00:05: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.063342] system 00:06: [mem 0x000d0000-0x000d3fff] has been reserved
[    0.063346] system 00:06: [mem 0x000f0000-0x000f7fff] could not be reserved
[    0.063350] system 00:06: [mem 0x000f8000-0x000fbfff] could not be reserved
[    0.063353] system 00:06: [mem 0x000fc000-0x000fffff] could not be reserved
[    0.063356] system 00:06: [mem 0x7fff0000-0x7fffffff] could not be reserved
[    0.063360] system 00:06: [mem 0xffff0000-0xffffffff] has been reserved
[    0.063363] system 00:06: [mem 0x00000000-0x0009ffff] could not be reserved
[    0.063366] system 00:06: [mem 0x00100000-0x7ffeffff] could not be reserved
[    0.063370] system 00:06: [mem 0xfec00000-0xfec00fff] could not be reserved
[    0.063373] system 00:06: [mem 0xfee00000-0xfee00fff] has been reserved
[    0.063381] system 00:06: Plug and Play ACPI device, IDs PNP0c01 (active)
[    0.063393] pnp: PnP ACPI: found 7 devices
[    0.067951] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.067978] clocksource: Switched to clocksource acpi_pm
[    0.067993] pci 0000:00:04.0: PCI bridge to [bus 01]
[    0.067996] pci 0000:00:04.0:   bridge window [io  0xc000-0xcfff]
[    0.067996] pci 0000:00:04.0:   bridge window [mem 0xfde00000-0xfdefffff]
[    0.067996] pci 0000:00:04.0:   bridge window [mem 0xfdf00000-0xfdffffff pref]
[    0.067996] pci 0000:02:00.0: BAR 6: assigned [mem 0xfc000000-0xfc07ffff pref]
[    0.067996] pci 0000:00:09.0: PCI bridge to [bus 02]
[    0.067996] pci 0000:00:09.0:   bridge window [io  0xb000-0xbfff]
[    0.067996] pci 0000:00:09.0:   bridge window [mem 0xfb000000-0xfcffffff]
[    0.067996] pci 0000:00:09.0:   bridge window [mem 0xb0000000-0xcfffffff 64bit pref]
[    0.067996] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.067996] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.067996] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.067996] pci_bus 0000:00: resource 7 [mem 0x000c0000-0x000dffff window]
[    0.067996] pci_bus 0000:00: resource 8 [mem 0x80000000-0xfebfffff window]
[    0.067996] pci_bus 0000:01: resource 0 [io  0xc000-0xcfff]
[    0.067996] pci_bus 0000:01: resource 1 [mem 0xfde00000-0xfdefffff]
[    0.067996] pci_bus 0000:01: resource 2 [mem 0xfdf00000-0xfdffffff pref]
[    0.067996] pci_bus 0000:01: resource 4 [io  0x0000-0x0cf7 window]
[    0.067996] pci_bus 0000:01: resource 5 [io  0x0d00-0xffff window]
[    0.067996] pci_bus 0000:01: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.067996] pci_bus 0000:01: resource 7 [mem 0x000c0000-0x000dffff window]
[    0.067996] pci_bus 0000:01: resource 8 [mem 0x80000000-0xfebfffff window]
[    0.067996] pci_bus 0000:02: resource 0 [io  0xb000-0xbfff]
[    0.067996] pci_bus 0000:02: resource 1 [mem 0xfb000000-0xfcffffff]
[    0.067996] pci_bus 0000:02: resource 2 [mem 0xb0000000-0xcfffffff 64bit pref]
[    0.067996] NET: Registered protocol family 2
[    0.067996] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
[    0.067996] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.067996] TCP: Hash tables configured (established 16384 bind 16384)
[    0.067996] UDP hash table entries: 1024 (order: 3, 32768 bytes)
[    0.067996] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
[    0.067996] NET: Registered protocol family 1
[    0.067996] ACPI: PCI Interrupt Link [APCF] enabled at IRQ 23
[    0.144297] ACPI: PCI Interrupt Link [APCL] enabled at IRQ 22
[    0.144416] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.144459] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.144507] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.144554] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.144602] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.144622] pci 0000:02:00.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.144631] PCI: CLS 4 bytes, default 64
[    0.144850] LVT offset 1 assigned for vector 0x400
[    0.144855] IBS: LVT offset 1 assigned
[    0.144890] perf: AMD IBS detected (0x0000001f)
[    0.145441] Initialise system trusted keyrings
[    0.145551] workingset: timestamp_bits=46 max_order=19 bucket_order=0
[    0.147534] SELinux:  Registering netfilter hooks
[    0.149121] NET: Registered protocol family 38
[    0.149132] Key type asymmetric registered
[    0.149135] Asymmetric key parser 'x509' registered
[    0.149191] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[    0.149196] io scheduler noop registered
[    0.149199] io scheduler deadline registered
[    0.149237] io scheduler cfq registered (default)
[    0.149240] io scheduler mq-deadline registered
[    0.149242] io scheduler kyber registered
[    0.149489] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.170070] 00:03: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.170385] Non-volatile memory driver v1.3
[    0.170408] Linux agpgart interface v0.103
[    0.170490] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
[    0.170503] ACPI: Power Button [PWRB]
[    0.170544] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
[    0.170568] ACPI: Power Button [PWRF]
[    0.170758] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
[    0.170761] AMD IOMMUv2 functionality not available on this system
[    0.172293] brd: module loaded
[    0.174741] loop: module loaded
[    0.174883] sata_nv 0000:00:08.0: version 3.5
[    0.175157] ACPI: PCI Interrupt Link [APSI] enabled at IRQ 21
[    0.175548] scsi host0: sata_nv
[    0.175675] scsi host1: sata_nv
[    0.175706] ata1: SATA max UDMA/133 cmd 0x9f0 ctl 0xbf0 bmdma 0xd800 irq 21
[    0.175710] ata2: SATA max UDMA/133 cmd 0x970 ctl 0xb70 bmdma 0xd808 irq 21
[    0.175750] pata_amd 0000:00:06.0: version 0.4.1
[    0.176393] scsi host2: pata_amd
[    0.176566] scsi host3: pata_amd
[    0.176606] ata3: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xf000 irq 14
[    0.176610] ata4: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xf008 irq 15
[    0.176666] e100: Intel(R) PRO/100 Network Driver, 3.5.24-k2-NAPI
[    0.176669] e100: Copyright(c) 1999-2006 Intel Corporation
[    0.176680] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    0.176683] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    0.176694] sky2: driver version 1.30
[    0.176712] forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
[    0.176888] ACPI: PCI Interrupt Link [APCH] enabled at IRQ 20
[    0.640062] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    0.642616] ata1.00: HPA detected: current 976771055, native 976773168
[    0.642626] ata1.00: ATA-8: ST3500418AS, CC46, max UDMA/133
[    0.642630] ata1.00: 976771055 sectors, multi 16: LBA48 NCQ (depth 0/32)
[    0.647439] ata1.00: configured for UDMA/133
[    0.647672] scsi 0:0:0:0: Direct-Access     ATA      ST3500418AS      CC46 PQ: 0 ANSI: 5
[    0.648121] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    0.648146] sd 0:0:0:0: [sda] 976771055 512-byte logical blocks: (500 GB/466 GiB)
[    0.648167] sd 0:0:0:0: [sda] Write Protect is off
[    0.648171] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    0.648220] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.675597]  sda: sda1 sda2 sda3 sda4
[    0.676221] sd 0:0:0:0: [sda] Attached SCSI disk
[    0.701761] forcedeth 0000:00:07.0: ifname eth0, PHY OUI 0x732 @ 1, addr 00:24:1d:69:aa:55
[    0.701771] forcedeth 0000:00:07.0: highdma pwrctl mgmt lnktim msi desc-v3
[    0.701936] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.701939] ehci-pci: EHCI PCI platform driver
[    0.702100] ehci-pci 0000:00:02.1: EHCI Host Controller
[    0.702185] ehci-pci 0000:00:02.1: new USB bus registered, assigned bus number 1
[    0.702202] ehci-pci 0000:00:02.1: debug port 1
[    0.702220] ehci-pci 0000:00:02.1: cache line size of 4 is not supported
[    0.702244] ehci-pci 0000:00:02.1: irq 22, io mem 0xfe02e000
[    0.709061] ehci-pci 0000:00:02.1: USB 2.0 started, EHCI 1.00
[    0.709187] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.709196] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.709200] usb usb1: Product: EHCI Host Controller
[    0.709203] usb usb1: Manufacturer: Linux 4.15.7-gentoo-r1-l1 ehci_hcd
[    0.709206] usb usb1: SerialNumber: 0000:00:02.1
[    0.709419] hub 1-0:1.0: USB hub found
[    0.709434] hub 1-0:1.0: 10 ports detected
[    0.709710] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.709725] ohci-pci: OHCI PCI platform driver
[    0.709863] ohci-pci 0000:00:02.0: OHCI PCI host controller
[    0.709952] ohci-pci 0000:00:02.0: new USB bus registered, assigned bus number 2
[    0.709990] ohci-pci 0000:00:02.0: irq 23, io mem 0xfe02f000
[    0.763096] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    0.763104] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.763108] usb usb2: Product: OHCI PCI host controller
[    0.763110] usb usb2: Manufacturer: Linux 4.15.7-gentoo-r1-l1 ohci_hcd
[    0.763113] usb usb2: SerialNumber: 0000:00:02.0
[    0.763324] hub 2-0:1.0: USB hub found
[    0.763338] hub 2-0:1.0: 10 ports detected
[    0.763508] uhci_hcd: USB Universal Host Controller Interface driver
[    0.763544] usbcore: registered new interface driver usblp
[    0.763560] usbcore: registered new interface driver usb-storage
[    0.763587] i8042: PNP: No PS/2 controller found.
[    0.763590] i8042: Probing ports directly.
[    0.764069] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.764095] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.764219] mousedev: PS/2 mouse device common for all mice
[    0.764332] rtc_cmos 00:02: RTC can wake from S4
[    0.764530] rtc_cmos 00:02: rtc core: registered rtc_cmos as rtc0
[    0.764568] rtc_cmos 00:02: alarms up to one year, y3k, 242 bytes nvram
[    0.764606] IR NEC protocol handler initialized
[    0.764608] IR RC5(x/sz) protocol handler initialized
[    0.764610] IR RC6 protocol handler initialized
[    0.764612] IR JVC protocol handler initialized
[    0.764615] IR Sony protocol handler initialized
[    0.764617] IR SANYO protocol handler initialized
[    0.764619] IR Sharp protocol handler initialized
[    0.764621] IR MCE Keyboard/mouse protocol handler initialized
[    0.764624] IR XMP protocol handler initialized
[    0.764720] device-mapper: ioctl: 4.37.0-ioctl (2017-09-20) initialised: dm-devel@redhat.com
[    0.764741] hidraw: raw HID events driver (C) Jiri Kosina
[    0.764871] usbcore: registered new interface driver usbhid
[    0.764874] usbhid: USB HID core driver
[    0.765417] ACPI: PCI Interrupt Link [AAZA] enabled at IRQ 23
[    0.765427] snd_hda_intel 0000:00:05.0: Disabling MSI
[    0.765579] ACPI: PCI Interrupt Link [APC5] enabled at IRQ 16
[    0.765612] snd_hda_intel 0000:02:00.1: Disabling MSI
[    0.765663] Netfilter messages via NETLINK v0.30.
[    0.765753] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[    0.765788] ctnetlink v0.93: registering with nfnetlink.
[    0.765864] ip_tables: (C) 2000-2006 Netfilter Core Team
[    0.766458] Initializing XFRM netlink socket
[    0.766565] NET: Registered protocol family 10
[    0.766808] Segment Routing with IPv6
[    0.766829] ip6_tables: (C) 2000-2006 Netfilter Core Team
[    0.767092] sit: IPv6, IPv4 and MPLS over IPv4 tunneling driver
[    0.767223] NET: Registered protocol family 17
[    0.767234] Key type dns_resolver registered
[    0.767438] sched_clock: Marking stable (767361490, 0)->(866190675, -98829185)
[    0.767665] registered taskstats version 1
[    0.767668] Loading compiled-in X.509 certificates
[    0.767865] console [netcon0] enabled
[    0.767873] netconsole: network logging started
[    0.768025] acpi_cpufreq: overriding BIOS provided _PSD data
[    0.783544] ALSA device list:
[    0.783553]   No soundcards found.
[    0.997386] input: HDA NVidia HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:09.0/0000:02:00.1/sound/card1/input5
[    0.997449] input: HDA NVidia HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:09.0/0000:02:00.1/sound/card1/input6
[    0.997511] input: HDA NVidia HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:09.0/0000:02:00.1/sound/card1/input7
[    1.107079] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC883: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:line
[    1.107089] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    1.107093] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
[    1.107097] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    1.107100] snd_hda_codec_realtek hdaudioC0D0:    dig-out=0x1e/0x0
[    1.107102] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    1.107106] snd_hda_codec_realtek hdaudioC0D0:      Rear Mic=0x18
[    1.107109] snd_hda_codec_realtek hdaudioC0D0:      Front Mic=0x19
[    1.107111] snd_hda_codec_realtek hdaudioC0D0:      Line=0x1a
[    1.107114] snd_hda_codec_realtek hdaudioC0D0:      CD=0x1c
[    1.107116] snd_hda_codec_realtek hdaudioC0D0:    dig-in=0x1f
[    1.112085] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    1.114422] ata2.00: ATAPI: Optiarc DVD RW AD-7260S, 1.02, max UDMA/100
[    1.119013] ata2.00: configured for UDMA/100
[    1.121060] scsi 1:0:0:0: CD-ROM            Optiarc  DVD RW AD-7260S  1.02 PQ: 0 ANSI: 5
[    1.159791] sr 1:0:0:0: [sr0] scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
[    1.159801] cdrom: Uniform CD-ROM driver Revision: 3.20
[    1.160012] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    1.160175] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    1.160265] ata4: port disabled--ignoring
[    1.160285] md: Waiting for all devices to be available before autodetect
[    1.160288] md: If you don't use raid, use raid=noautodetect
[    1.184087] tsc: Refined TSC clocksource calibration: 2812.791 MHz
[    1.184105] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x288b741e855, max_idle_ns: 440795299375 ns
[    1.319088] usb 2-2: new full-speed USB device number 2 using ohci-pci
[    1.528126] usb 2-2: New USB device found, idVendor=3938, idProduct=1032
[    1.528134] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.528138] usb 2-2: Product: 2.4G RF Keyboard & Mouse
[    1.528141] usb 2-2: Manufacturer: MOSART Semi.
[    1.537412] input: MOSART Semi. 2.4G RF Keyboard & Mouse as /devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2:1.0/0003:3938:1032.0001/input/input8
[    1.589325] hid-generic 0003:3938:1032.0001: input,hidraw0: USB HID v1.10 Keyboard [MOSART Semi. 2.4G RF Keyboard & Mouse] on usb-0000:00:02.0-2/input0
[    1.595733] input: MOSART Semi. 2.4G RF Keyboard & Mouse as /devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2:1.1/0003:3938:1032.0002/input/input9
[    1.647308] hid-generic 0003:3938:1032.0002: input,hiddev96,hidraw1: USB HID v1.10 Mouse [MOSART Semi. 2.4G RF Keyboard & Mouse] on usb-0000:00:02.0-2/input1
[    2.012307] md: Autodetecting RAID arrays.
[    2.012314] md: autorun ...
[    2.012316] md: ... autorun DONE.
[    2.012664] EXT4-fs (sda4): couldn't mount as ext3 due to feature incompatibilities
[    2.012962] EXT4-fs (sda4): couldn't mount as ext2 due to feature incompatibilities
[    2.012988] input: HDA NVidia Rear Mic as /devices/pci0000:00/0000:00:05.0/sound/card0/input10
[    2.013074] input: HDA NVidia Front Mic as /devices/pci0000:00/0000:00:05.0/sound/card0/input11
[    2.013140] input: HDA NVidia Line as /devices/pci0000:00/0000:00:05.0/sound/card0/input12
[    2.013207] input: HDA NVidia Line Out as /devices/pci0000:00/0000:00:05.0/sound/card0/input13
[    2.051421] EXT4-fs (sda4): mounted filesystem with ordered data mode. Opts: (null)
[    2.051444] VFS: Mounted root (ext4 filesystem) readonly on device 8:4.
[    2.076208] devtmpfs: mounted
[    2.077417] Freeing unused kernel memory: 1040K
[    2.077428] Write protecting the kernel read-only data: 16384k
[    2.078481] Freeing unused kernel memory: 2012K
[    2.083120] Freeing unused kernel memory: 1692K
[    2.083134] rodata_test: all tests were successful
[    2.090080] usb 2-4: new low-speed USB device number 3 using ohci-pci
[    2.192207] clocksource: Switched to clocksource tsc
[    2.302121] usb 2-4: New USB device found, idVendor=1a2c, idProduct=0027
[    2.302129] usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.302132] usb 2-4: Product: USB Keykoard
[    2.302135] usb 2-4: Manufacturer: USB
[    2.312399] input: USB USB Keykoard as /devices/pci0000:00/0000:00:02.0/usb2/2-4/2-4:1.0/0003:1A2C:0027.0003/input/input14
[    2.364310] hid-generic 0003:1A2C:0027.0003: input,hidraw2: USB HID v1.10 Keyboard [USB USB Keykoard] on usb-0000:00:02.0-4/input0
[    2.370439] input: USB USB Keykoard as /devices/pci0000:00/0000:00:02.0/usb2/2-4/2-4:1.1/0003:1A2C:0027.0004/input/input15
[    2.422214] hid-generic 0003:1A2C:0027.0004: input,hidraw3: USB HID v1.10 Device [USB USB Keykoard] on usb-0000:00:02.0-4/input1
[    2.690863] random: crng init done
[    3.222494] systemd[1]: systemd 236 running in system mode. (+PAM -AUDIT -SELINUX +IMA -APPARMOR +SMACK -SYSVINIT +UTMP -LIBCRYPTSETUP +GCRYPT -GNUTLS +ACL -XZ +LZ4 +SECCOMP +BLKID -ELFUTILS +KMOD -IDN2 -IDN default-hierarchy=hybrid)
[    3.222616] systemd[1]: Detected architecture x86-64.
[    6.189723] systemd[1]: File /lib/systemd/system/systemd-journald.service:35 configures an IP firewall (IPAddressDeny=any), but the local system does not support BPF/cgroup based firewalling.
[    6.189736] systemd[1]: Proceeding WITHOUT firewalling in effect! (This warning is only shown for the first loaded unit using IP firewalling.)
[    6.804104] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    6.804239] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    6.804277] systemd[1]: Reached target Remote File Systems.
[    6.804582] systemd[1]: Created slice System Slice.
[    6.806385] systemd[1]: Listening on Process Core Dump Socket.
[    6.806632] systemd[1]: Created slice system-getty.slice.
[    8.085391] EXT4-fs (sda4): re-mounted. Opts: errors=remount-ro
[    8.300277] systemd-journald[1158]: Received request to flush runtime journal from PID 1
[    9.321985] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    9.353031] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[    9.365647] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[    9.377632] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[   13.084420] forcedeth 0000:00:07.0 eth0: MSI enabled
[   13.085084] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   13.085715] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   14.002620] kvm: Nested Virtualization enabled
[   14.002630] kvm: Nested Paging enabled
[   14.170750] ACPI: PCI Interrupt Link [APC8] enabled at IRQ 16
[   14.948644] [TTM] Zone  kernel: Available graphics memory: 1021682 kiB
[   14.948652] [TTM] Initializing pool allocator
[   14.948658] [TTM] Initializing DMA pool allocator
[   14.948673] nouveau 0000:02:00.0: DRM: VRAM: 2048 MiB
[   14.948676] nouveau 0000:02:00.0: DRM: GART: 1048576 MiB
[   14.948684] nouveau 0000:02:00.0: DRM: TMDS table version 2.0
[   14.948687] nouveau 0000:02:00.0: DRM: DCB version 4.0
[   14.948690] nouveau 0000:02:00.0: DRM: DCB outp 00: 01000f02 00020030
[   14.948694] nouveau 0000:02:00.0: DRM: DCB outp 01: 02011f80 00020030
[   14.948697] nouveau 0000:02:00.0: DRM: DCB outp 02: 08011f82 00020030
[   14.948700] nouveau 0000:02:00.0: DRM: DCB outp 04: 02022f62 00020010
[   14.948703] nouveau 0000:02:00.0: DRM: DCB conn 00: 00001030
[   14.948706] nouveau 0000:02:00.0: DRM: DCB conn 01: 00000100
[   14.948709] nouveau 0000:02:00.0: DRM: DCB conn 02: 00010261
[   14.951687] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   14.951691] [drm] Driver supports precise vblank timestamp query.
[   14.953269] nouveau 0000:02:00.0: DRM: MM: using COPY for buffer copies
[   15.024535] nouveau 0000:02:00.0: DRM: allocated 1360x768 fb: 0x60000, bo 0000000039df0cc2
[   15.025574] fbcon: nouveaufb (fb0) is primary device
[   15.135142] Console: switching to colour frame buffer device 170x48
[   15.152882] nouveau 0000:02:00.0: fb0: nouveaufb frame buffer device
[   15.156111] [drm] Initialized nouveau 1.3.1 20120801 for 0000:02:00.0 on minor 0
[   16.180743] Adding 3906556k swap on /dev/sda3.  Priority:-2 extents:1 across:3906556k 
[   17.816783] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[  222.907395] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[  287.600276] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[  291.112389] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[  303.310164] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[11026.851772] squashfs: SQUASHFS error: Filesystem uses "xz" compression. This is not supported
[11235.817291] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[11261.198636] enlightenment_f[2164]: segfault at 39 ip 00007fe58c792ea0 sp 00007ffe07ad2bc0 error 4 in libc-2.25.so[7fe58c70f000+1a6000]
[11261.199952] eeze_scanner[2167]: segfault at 646d65747b ip 00007fcc127d9736 sp 00007fffadd17f40 error 4 in libmount.so.1.1.0[7fcc127cc000+57000]
[12948.840051] fuse init (API version 7.26)
Problem seems to be solved on enlightenment, still reproduced om kde-plasma
On KDE Plasma-Wayland there is still only a blank page rendered by Firefox-Nightly 62 (2018-05-09) and I cannot see the mouse. Window decoration is missing as well, but I think this is due to a open Gtk bug.

$ env | grep DISPLAY
DISPLAY=:0
WAYLAND_DISPLAY=wayland-0
Flags: needinfo?(mail)
Attached file dmesg
Attached is the dmesg output of my machine.
The KDE Plasma on Wayland is still a tech preview...let's wait when it matures a bit.
Also does other native wayland apps work for you on Plasma/KDE? For instance "gedit".
Flags: needinfo?(mail)
Not sure if this was a serious comment. If you consider Gnome Wayland a tech preview, then you can say Plasma-Wayland is one as well. Otherwise Plasma-Wayland is considered stable by the devs since version 5.12. I use Plasma-Wayland since a long time and most of the Gtk applications work well too. Firefox is one of the last applications that doesn't work for me on Wayland directly. But I understand that you need to get the Wayland port done first for Gnome.
Flags: needinfo?(mail)
(In reply to rainer from comment #9)
> Not sure if this was a serious comment. If you consider Gnome Wayland a tech
> preview, then you can say Plasma-Wayland is one as well. Otherwise
> Plasma-Wayland is considered stable by the devs since version 5.12. I use
> Plasma-Wayland since a long time and most of the Gtk applications work well
> too. Firefox is one of the last applications that doesn't work for me on
> Wayland directly. But I understand that you need to get the Wayland port
> done first for Gnome.

When I run KDE Plasma (Wayland) on Fedora 28 (plasma-workspace-wayland-5.12.5-3.fc28.x86_64) I see only a black screen with a mouse pointer and it does nothing (OTOH default KDE works ok). Also https://community.kde.org/KWin/Wayland states that it's "tech preview".

That all gives me an impression that's not finished yet. I'll give it a try if you say it's actually finished.
I can only refer to the release notes https://www.kde.org/announcements/plasma-5.12.0.php, Wayland is supported by the LTS release. By this definition I would say it is finished. 

Assuming all packages are installed correctly by the dependencies of the Fedora package "plasma-workspace-wayland", probably Plasma just doesn't start correctly. If you see a mouse pointer on the black screen just try to press ALT + F2 and you should see the krunner konsole, type "plasmashell" and press enter. Or maybe it is an issue with the Intel/Radeon driver, I only use mesa modesetting on my systems. There is a blog post from Martin Flöser https://blog.martin-graesslin.com/blog/2016/07/why-does-kwin_wayland-not-start/ explaining some details. When I tested Plasma-Wayland several months ago on Fedora and a Intel GPU, it all worked well. I would expect that Fedora provides some documentation regarding KDE and Wayland as well. Hope that this was not too much off topic for this bug report.
Yes I finally reproduced that and there's lots of warnings like:

[16686, Compositor] WARNING: No drawing buffer available

can you confirm that?
Status: UNCONFIRMED → NEW
Ever confirmed: true
Flags: needinfo?(mail)
Assignee: nobody → stransky
Where would I see the warnings? I looked at dmesg and the output on the terminal when I started Firefox from there, but I didn't see these warnings. Thanks
Flags: needinfo?(mail)
Warnings would only be output from debug builds.
Attachment #8983326 - Attachment is obsolete: true
Attachment #8983326 - Flags: review?(jhorak)
Comment on attachment 8983326 [details]
Bug 1444437 - [Wayland] Don't map mozcontainer subsurface until parent surface is commited,

https://reviewboard.mozilla.org/r/249224/#review255772

Let's deffer this untill I can confirm the fix.
Attachment #8983326 - Flags: review?(jhorak)
I can reproduce that on wayland-1.15 / gnome-shell, seems to be caused by incorrect wl_subsurface initialization when get_subsurface is double buffered at wayland-1.15 and also the detached state has to be set after first commit to parent surface.
Summary: Firefox Wayland is rendering only a blank page on KDE Plasma → [Wayland-1.15][KDE] Firefox is rendering only a blank page
Duplicate of this bug: 1469187
Attachment #8983326 - Attachment is obsolete: true
for me after some updates it got automagically fixed.. (not a firefox update, some system updates)
(In reply to David Heidelberg from comment #21)
> for me after some updates it got automagically fixed.. (not a firefox
> update, some system updates)

My Arch Linux system is up to date as well, but Firefox on Wayland on Plasma still shows only a blank page. Are you sure this is not XWayland? What does the kwin debug console (ALT + F2, type kwin and press enter) tell you? Is it really a Wayland Window?
Comment on attachment 8983326 [details]
Bug 1444437 - [Wayland] Don't map mozcontainer subsurface until parent surface is commited,

https://reviewboard.mozilla.org/r/249224/#review260842

::: widget/gtk/mozcontainer.cpp:610
(Diff revision 4)
>              return nullptr;
>  
>          moz_container_map_surface(container);
>      }
>  
> -    return container->committed ? container->surface : nullptr;
> +    return container->parent_surface_committed ? container->surface : nullptr;

It can simply return `container->surface` because the surface isn't created yet (set as `nullptr`) when `container->parent_surface_committed` is `false`, can't it?
Attachment #8983326 - Flags: review?(ashie) → review+
Comment on attachment 8983326 [details]
Bug 1444437 - [Wayland] Don't map mozcontainer subsurface until parent surface is commited,

https://reviewboard.mozilla.org/r/249224/#review260842

> It can simply return `container->surface` because the surface isn't created yet (set as `nullptr`) when `container->parent_surface_committed` is `false`, can't it?

Fixed, Thanks!
Pushed by stransky@redhat.com:
https://hg.mozilla.org/integration/autoland/rev/572ebdbf483e
[Wayland] Don't map mozcontainer subsurface until parent surface is commited, r=ashie
https://hg.mozilla.org/mozilla-central/rev/572ebdbf483e
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
As the bug has been marked as resolved, I'm not sure if this is expected to work now. I've downloaded the latest flatpak build of org.mozilla.FirefoxNightly-origin (ff4c5c3271d3) and I've tested this now on different machines with AMD and Intel GPU's with Mesa modesetting drivers, but there is still only a blank page visible on Plasma 5.13.3. The input is sometimes at least recognized to open blindly a web page.
(In reply to rainer from comment #29)
> As the bug has been marked as resolved, I'm not sure if this is expected to
> work now. I've downloaded the latest flatpak build of
> org.mozilla.FirefoxNightly-origin (ff4c5c3271d3) and I've tested this now on
> different machines with AMD and Intel GPU's with Mesa modesetting drivers,
> but there is still only a blank page visible on Plasma 5.13.3. The input is
> sometimes at least recognized to open blindly a web page.

Yes, it's still broken, I managed to launch Plasma on Wayland at least and I can test it now. I filed a follow up bug - Bug 1478283
No longer blocks: 1478283
Depends on: 1484921
You need to log in before you can comment on or make changes to this bug.